Bug 209729 - Decrease MaxPermSize on Win running on 32-bit JVM
Decrease MaxPermSize on Win running on 32-bit JVM
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Launchers&CLI
7.2
PC Windows 7 x64
: P2 (vote)
: 7.2
Assigned To: Jiri Rechtacek
issues@platform
: PERFORMANCE, PLAN
Depends on:
Blocks: 206751
  Show dependency treegraph
 
Reported: 2012-03-19 11:40 UTC by Jiri Rechtacek
Modified: 2012-03-24 11:03 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2012-03-19 11:40:42 UTC
Since NetBeans 7.2 provides 64-bit launcher for Windows (http://hg.netbeans.org/main-golden/rev/34fef02e9b05) we can balance -XX:MaxPermSize according to what version JVM is running.

Proposal:
Windows 32-bit - _no change_
-Xmx is RAM/5, min 96m, max 384m
-XX:MaxPermSize is 256m

Windows 64-bit - 64-bit JVM  _no change_
-Xmx is RAM/5, min 96m, max 768m
-XX:MaxPermSize is 384m

Windows 64-bit - 32-bit JVM  _decreased_
-Xmx is RAM/5, min 96m, max 384m (previously max 768m)
-XX:MaxPermSize is 256m (previously 384m)

On Linux - _no change_:
-Xmx is RAM/5, min 96m, max 768m
-XX:MaxPermSize is 384m
Comment 1 Jiri Rechtacek 2012-03-21 23:30:36 UTC
core-main/rev/f2a876b031d7
Comment 2 Quality Engineering 2012-03-24 11:03:46 UTC
Integrated into 'main-golden', will be available in build *201203240400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f2a876b031d7
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #209729: Decrease MaxPermSize on Win running on 32-bit JVM


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo